Subject: Re: PREEMPT problems

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 02 Apr 2004 10:56:27 +1000

On Fri, 2004-04-02 at 00:32, Colin LEROY wrote:
> Hi,
>
> This won't be really helpful, as I have no time to investigate, but I seem
> to have problems with preempt (and latest main-tree BK). After a few hours
> of uptime, I get hanging processes (sed, cvs (can't be network related as
> the CVSROOT is local)) and gcc segfaults while compiling kernel.

Oh, btw, finding out where those are beeing stuck may help. A good
way to do that is to use xmon "P" command, look at the KSP for one
of those processes (kernel stack pointer) and do a backtrace based
on it with "b <ksp value>"

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/